# --with-tcl enables sqlite-tcl subpackage, and also %{__make}s %%check possible.
%define tcl 0%{?_with_tcl:1}
%define _unpackaged_files_terminate_build 0

Summary: Library that implements an embeddable SQL database engine
Summary(ko): 향상된 내장 SQL 데이터베이스 엔진 C 라이브러리
Name: sqlite32
Version: 3.2.8
Release: 1%{?dist}
Epoch: 1
License: Public Domain
Group: 	Applications/Databases
URL: http://www.sqlite.org/
Source: http://www.sqlite.org/sqlite-%{version}.tar.gz
Patch0: sqlite32-naming.patch
BuildRequires: ncurses-devel readline-devel
BuildRequires: /usr/bin/tclsh
%if %{tcl}
BuildRequires: tcl
%endif
BuildRoot:%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server.  Version 2 and version 3 binaries
are named to permit each to be installed on a single host

%description -l ko
SQLite 는 향상된 내장 SQL 데이터베이스 엔진 C 라이브러리 이다. SQL92의
대용량 subset을 지원하며, 하나의 디스크 파일에 전체 데이터베이스가 저장
이 된다. API는 편리하고 사용의 용이성을 위하도록 설계가 되었다. 라이브러리에
링크된 프로그램들은 실행을 해야 하는 RDBMS 가 없더라도, SQL 데이터베이스를
이용 가능하게 한다. 버전2와 버전3의 바이너리는 하나의 호스트에 각각 설치를
할 수 있도록 이름이 구분되어 있다.

%package devel
Summary: Development tools for the sqlite3 embeddable SQL database engine.
Summary(ko): sqlite 를 이용한 개발시 필요한 헤더파일과 라이브러리들
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%description devel -l ko
%{name}-devel 패키지는 %{name} 테이터베이스 라이브러리를 이용하여 프로그램을
개발할 때 필요한 헤더파일과 라이브러리들을 포함하고 있다. %{name}을 이용하여
프로그램을 개발하고 싶다면 %{name}-devel을 설치할 필요가 있다.

%if %{tcl}
%package tcl
Summary: Tcl module for the sqlite3 embeddable SQL database engine.
Group: Development/Languages
Requires: %{name} = %{version}, tcl

%description tcl
This package contains the tcl modules for %{name}.
%endif

%package doc
Summary: sqlite3 document
Group: Documentation

%description doc
sqlite version 3 documentation

%prep
%setup -q -n sqlite-%{version}
%patch0 -p1

%build
%configure %{!?with_tcl:--disable-tcl}

%{__make} %{?_smp_mflags}
%{__make} doc

%install
rm -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%{__install} -D -m0644 sqlite3.1 %{buildroot}%{_mandir}/man1/sqlite3.1

#rm -f %{buildroot}/%{_libdir}/*.{la,a}

%if %{tcl}
# %check
%{__make} test
%endif

%clean
%{__rmrf} %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man?/*

%files devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc

%if %{tcl}
%files tcl
%defattr(-, root, root)
%{_datadir}/tcl*/sqlite3
%endif

%files doc
%defattr(-, root, root)
%doc README
%doc doc/*

%changelog
* Mon Jan  8 2007 JoungKyun.Kim <http://oops.org> 1:3.2.8-1%{?dist}
- support php bundle library

